#ifndef EVO2_SYNC_H
#define EVO2_SYNC_H

#include "evo2_sync.h"

#include <opensync/opensync.h>
#include <libecal/libecal.h>
#include <libebook/libebook.h>

#include <libxml/xmlmemory.h>
#include <libxml/parser.h>

#include <fcntl.h>
#include <errno.h>
#include <stdio.h>
#include <sys/stat.h>
#include <string.h>

typedef struct {
	OSyncMember *member;
	char *change_id;
	char *configfile;
	char *addressbook_uid;
	EBook *addressbook;
	char *calendar_uid;
	ECal *calendar;
	char *tasks_uid;
	ECal *tasks;
	int debuglevel;
} evo_environment;

void evo2_report_change(OSyncContext *ctx, char *objtypestr, char *objformatstr, char *data, int datasize, const char *uid, OSyncChangeType type);

#include "evolution2_ebook.h"
#include "evolution2_ecal.h"
#include "evolution2_etodo.h"
#include "evolution2_xml.h"

#endif
